from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XDatabaseAccessListener(XEventListener, Protocol):
    def connectionChanged(self, event: EventObject) -> None: ...
    def approveConnectionClosing(self, event: EventObject) -> bool: ...
    def connectionClosing(self, event: EventObject) -> None: ...
